<?php

namespace Drupal\email_content_templates_commerce\Plugin\EmailContentTemplatesInfo;

use Drupal\email_content_templates\EmailContentTemplatesInfoPluginBase;

/**
 * Plugin implementation of the email_content_templates_info.
 *
 * @EmailContentTemplatesInfo(
 *   id = "commerce_order_receipt",
 *   label = @Translation("(core) Commerce order receipt"),
 * )
 */
class CommerceOrderReceipt extends EmailContentTemplatesInfoPluginBase {

  /**
   * {@inheritdoc}
   */
  public function paramTokenMap() {
    return [
      'order' => 'commerce_order',
    ];
  }

}
